Subject: bug#66152: 30.0.50; Missing indent rules in c-ts-mode

From: Yuan Fu <[email-masked]>
Date: Fri, 12 Jan 2024 23:07:30 -0800

> On Jan 10, 2024, at 10:24 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Stefan Kangas <[email-masked]>
>> Date: Wed, 10 Jan 2024 13:31:37 -0800
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
>> 
>> Yuan Fu <[email-masked]> writes:
>> 
>>> LGTM, I applied the first patch to emacs-29.
>> 
>> What about patch 2 and 3?  Should they be installed on master?
> 
> Not sure.  It sounded like they were experimental, and no consensus
> was reached.

I had a look again, the first patch is applied, the second patch is fixed in another report, the third patch is still in discussion. Augustin said he’ll clean it up and extend it to apply to other modes if it’s desirable. I think it’s good to have, we just need to make sure it doesn’t bring any regression. Also I don’t know how widely used is this kind of comments and how important it is.

Yuan